<?php

namespace Modules\Pars\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\Pars\Entities\Category;

class CategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
        $actCategories = Category::where('active', 1)->orderBy('name', 'asc')->get();
        $inactCategories = Category::where('active', 0)->orderBy('name', 'asc')->get();
        return view('pars::categories.index', [
            'actCategories' => $actCategories,
            'inactCategories' => $inactCategories,
        ]);
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        return view('pars::categories.create');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show($id)
    {
        return view('pars::categories.show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Response
     */
    public function edit($id)
    {
        return view('pars::categories.edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    public function inactive($id)
    {
        Category::inactiveCategory($id);
        return redirect('pars/categories');
    }


    public function active($id)
    {
        Category::activeCategory($id);
        return redirect('pars/categories');
    }

    public function activeCheck($ids)
    {
        $ids = json_decode($ids);
        foreach ($ids as $id) {
            Category::activeCategory($id);
        }
            return redirect('pars/categories');
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroy($id)
    {
        Category::destroy($id);
        return redirect('pars/categories')->with('message_delete', 'Categories deleted');
    }

    public function parsCategories()
    {
        ini_set('max_execution_time', 360);
        $cnt = 0;
        $parsCategories = Category::parsCategories();
        foreach ($parsCategories as $parsCategory) {
            if (!Category::existCategory($parsCategory['url'])) {
                $category = new Category();
                $category->shop_id = 1;
                $category->name = substr($parsCategory['name'], 0, 255);
                $category->root_id = 0;
                //   $category->site_id = preg_match('~(\d+)~',$parsCategory['url'],$out) ? $out[0] : 0;
                $category->url = $parsCategory['url'];
                $category->active = 0;

                $category->save();
                $cnt++;
            }
        }
        return redirect('pars/categories')->with('message_parse', 'Категории скопированы. Кол-во: ' . $cnt);
    }


    public function test()
    {// тестирование регулярки
//        $s='/catalog/1234-43--';
//        preg_match('~(\d+)~', $s , $m );
//       dd($m) ;
        // Category::getCategoryDesc(977);
    }


}
