<?php $__env->startSection('content'); ?>
<div class="container" style="margin-top: 50px;">
    <div class="row">
        <div class="col-sm-10 offset-sm-1">
            <?php if($message = session()->pull('message')): ?>
                <div class="alert alert-success"><?php echo e($message); ?></div>
            <?php endif; ?>
                <?php if($message_delete = session()->pull('message_delete')): ?>
                    <div class="alert alert-danger"><?php echo e($message_delete); ?></div>
                <?php endif; ?>
            <form method="post" action="shop">
                <?php echo e(csrf_field()); ?>

                <div class="form-group">
                    <label for="name">Name:</label>
                    <input type="text" class="form-control" id="name" name="name" value="<?php echo e(old('name')); ?>"
                           placeholder="Enter Shop Name">
                </div>
                <div class="form-group">
                    <label for="url">URL:</label>
                    <input id="url" type="text" name="url" value="<?php echo e(old('url')); ?>" class="form-control"
                           placeholder="Enter URL"/>
                </div>

                <div class="form-group">
                    <button type="submit" class="btn btn-primary" name="submit">Добавить</button>
                </div>
            </form>
            <?php if(count($errors)): ?>
                <ul class="alert alert-danger well">
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="list-unstyled"><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            <?php endif; ?>
        </div>
    </div>


    <?php if(count($shops)): ?>
        <hr class="dl-horizontal">

        <div class="row">
            <div class="col-sm-10 offset-sm-1">
                <table class="table table-dark">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Name</th>
                        <th scope="col">URL</th>
                        <th scope="col">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $shops; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shop): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <th scope="row"><?php echo e($loop->iteration); ?></th>
                            <td><?php echo e($shop->name); ?></td>
                            <td><?php echo e($shop->url); ?></td>
                            <td>
                                <row>
                                <form action="<?php echo e(route('ShopDestroy',[$shop->id])); ?>" method="POST">
                                    <?php echo method_field('DELETE'); ?>
                                    <?php echo csrf_field(); ?>
                                    <button class="btn btn-danger" type="submit">Delete</button>
                                </form>
                                <form action="<?php echo e(route('CategoryIndex',[$shop->id])); ?>" method="GET">
                                    <?php echo method_field('GET'); ?>
                                    <?php echo csrf_field(); ?>
                                    <button class="btn btn-danger" type="submit">Go to</button>
                                </form>
                                </row>
                            </td>

                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php endif; ?>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('pars::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\WebServer\domains\DataScrap.bas\Modules\Pars\Providers/../Resources/views/categories/create.blade.php ENDPATH**/ ?>